#ifndef __DirectoryData_Base_h__
#define __DirectoryData_Base_h__

#include <DirectoryData/DirectoryData.h>

#include <Base4c/Publisher.h>

#include <string>

namespace DirectoryData
{
	class DirectoryData_Export Base : public Base4c::Publisher
	{
		public:
			class DirectoryData_Export Key
			{
				public:
					Key();
					Key( const Key& key );
					virtual ~Key();

					Key& operator=( const Key& key );

					virtual std::string str() const = 0;
			};

		public:
			Base();
			Base( const Base& base );
			virtual ~Base();

			Base& operator=( const Base& base );
	};
}

#endif /* !__DirectoryData_Base_h__ */
