#ifndef __DirectoryDal_DirectoryDB_h__
#define __DirectoryDal_DirectoryDB_h__

#include <DirectoryDal/DirectoryDal.h>

#include <librfcdal/DalDatabase.h>
#include <librfcdal/SqlSchema.h>

namespace DirectoryDal
{
	void connect( const std::string& strConnect ) throw( RfcDal::DalDatabaseException );
	RfcDal::DalDatabase& connection();
	const RfcDal::SqlSchema& schema();
}

#endif /* !__DirectoryDal_DirectoryDB_h__ */
