#ifndef __DirectoryData_Busy_h__
#define __DirectoryData_Busy_h__

#include <DirectoryData/DirectoryData.h>

#include <string>

namespace DirectoryData
{
	class DirectoryData_Export BusyReflector
	{
		public:
			BusyReflector();
			virtual ~BusyReflector();

			virtual void enterBusyState( const std::string& strLegend ) = 0;
			virtual void leaveBusyState() = 0;
	};

	class DirectoryData_Export Busy
	{
		private:
			BusyReflector* _preflector;

		public:
			Busy( BusyReflector* preflector, const std::string& strLegend );
			virtual ~Busy();
	};
}

#endif /* !__DirectoryData_Busy_h__ */
