#ifndef __DirectoryData_Report_h__
#define __DirectoryData_Report_h__

#include <DirectoryData/DirectoryData.h>

#include <DirectoryData/Exception.h>

namespace DirectoryData
{
	class Festival;
	class PitchType;

	class DirectoryData_Export Report
	{
		public:
			static void pitch( const std::string& strFilename, const PitchType & pitchType ) throw( DirectoryData::Exception );
			static void festivalBooking( const std::string& strFilename, const Festival& festival ) throw( DirectoryData::Exception );
			static void pitchBooking( const std::string& strFilename, const Festival& festival ) throw( DirectoryData::Exception );
			static void vendorEmail( const std::string& strFilename, const Festival& festival ) throw( DirectoryData::Exception );
			static void festivalHealthCheck( const std::string& strFilename, const Festival& festival ) throw( DirectoryData::Exception );
			static void festivalFoodVendors( const std::string& strFilename, const Festival& festival ) throw( DirectoryData::Exception );
	};
}

#endif /* !__DirectoryData_Report_h__ */
